Get LayerZero DVN configuration
Retrieve the DVN (Data Verification Network) configuration for a specific adapter. Returns DVN configurations for channels between the source adapter and its peers.
GET
/
tokenization
/
multichain
/
bridge
/
layerzero
/
config
/
{adapterTokenLinkId}
/
dvns
TypeScript
const response: Promise<FireblocksResponse<GetLayerZeroDvnConfigResponse>> = fireblocks.tokenization.getLayerZeroDvnConfig(tokenizationApiGetLayerZeroDvnConfigRequest);CompletableFuture<ApiResponse<GetLayerZeroDvnConfigResponse>> response = fireblocks.tokenization().getLayerZeroDvnConfig(adapterTokenLinkId, peerAdapterTokenLinkId);response = fireblocks.tokenization.get_layer_zero_dvn_config(adapter_token_link_id, peer_adapter_token_link_id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/dvnsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/dvns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourceAdapterTokenLinkId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"channelConfigs": [
{
"sendConfig": {
"dvnAddresses": [
1.0284746938594775e+54,
2.5101940177441514e+50
],
"optionalThreshold": 2,
"confirmations": 12,
"optionalDVNAddresses": [
1.334824162533763e+54
]
},
"receiveConfig": {
"dvnAddresses": [
1.0284746938594775e+54,
2.5101940177441514e+50
],
"optionalThreshold": 2,
"confirmations": 12,
"optionalDVNAddresses": [
1.334824162533763e+54
]
}
}
]
}{
"error": {
"type": "VALIDATION",
"message": "Invalid input data or parameters"
}
}{
"error": {
"type": "NOT_FOUND",
"message": "The specified token link was not found"
}
}{
"error": {
"type": "INTERNAL",
"message": "An unexpected error occurred during execution. Please try again later."
}
}Path Parameters
The token link id of the adapter token link
Query Parameters
Optional peer adapter token link ID to filter results
Response
LayerZero DVN configuration retrieved successfully
Token-link ID of the adapter for which DVN configuration was queried.
Example:
"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
DVN configurations for each discovered (or explicitly requested) channel between the source adapter and its peers.
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?
Previous
Get LayerZero peersRetrieve the LayerZero peers configured for a specific adapter. Returns information about peer relationships for cross-chain communication.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetLayerZeroDvnConfigResponse>> = fireblocks.tokenization.getLayerZeroDvnConfig(tokenizationApiGetLayerZeroDvnConfigRequest);CompletableFuture<ApiResponse<GetLayerZeroDvnConfigResponse>> response = fireblocks.tokenization().getLayerZeroDvnConfig(adapterTokenLinkId, peerAdapterTokenLinkId);response = fireblocks.tokenization.get_layer_zero_dvn_config(adapter_token_link_id, peer_adapter_token_link_id);